<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<?xml-stylesheet type="text/xsl" href="http://pue.zus.pl/rd/RUD/1/styl.xsl"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
	<xsl:output encoding="UTF-8" indent="yes"/>
	
	<xsl:template name = "adres_zamieszkania" xmlns:wnio="http://pue.zus.pl/rd/RUD/1/"  >
		<xsl:param name = "sciezka" />
			<xsl:if test="$sciezka/Ulica">
				<wnio:Ulica>
					<xsl:value-of select="$sciezka/Ulica"/>
				</wnio:Ulica>
			</xsl:if>
			<xsl:if test="$sciezka/NrDomu">
				<wnio:NumerDomu>
					<xsl:value-of select="substring($sciezka/NrDomu, 1, 10)"/>
				</wnio:NumerDomu>
			</xsl:if>
			<xsl:if test="$sciezka/NrLokalu">
				<wnio:NumerLokalu>
					<xsl:value-of select="$sciezka/NrLokalu"/>
				</wnio:NumerLokalu>
			</xsl:if>
			<xsl:if test="$sciezka/KodPocztowy">
				<wnio:KodPocztowy>
					<xsl:value-of select="substring($sciezka/KodPocztowy, 1, 12)"/>
				</wnio:KodPocztowy>
			</xsl:if>
			<xsl:if test="$sciezka/Miejscowosc">
				<wnio:Miejscowosc>
					<xsl:value-of select="$sciezka/Miejscowosc"/>
				</wnio:Miejscowosc>
			</xsl:if>
			<xsl:if test="$sciezka/NazwaPanstwa">
				<wnio:NazwaPanstwa>
					<xsl:value-of select="substring($sciezka/NazwaPanstwa, 1, 40)"/>
				</wnio:NazwaPanstwa>
			</xsl:if>
			<xsl:if test="$sciezka/NumerTelefonu">
				<wnio:NumerTelefonu>
					<xsl:value-of select="$sciezka/NumerTelefonu"/>
				</wnio:NumerTelefonu>
			</xsl:if>
			<xsl:if test="$sciezka/Email">
				<wnio:Email>
					<xsl:value-of select="substring($sciezka/Email, 1, 50)"/>
				</wnio:Email>
			</xsl:if>
	</xsl:template>
	
	<xsl:template name = "umowa_o_dzielo" xmlns:wnio="http://pue.zus.pl/rd/RUD/1/" >
		<xsl:param name = "sciezka" />
		<xsl:if test="$sciezka/DataZawarcia">
			<wnio:DataZawarcia>			
				<xsl:variable name="dataZawarcia" select="$sciezka/DataZawarcia"/>
				<xsl:value-of select="concat(substring($dataZawarcia, 5, 4),'-',substring($dataZawarcia, 3, 2),'-',substring($dataZawarcia, 1, 2))"/>
			</wnio:DataZawarcia>
		</xsl:if>
		<xsl:if test="$sciezka/Od">
			<wnio:Od>
				<xsl:variable name="dataOd" select="$sciezka/Od"/>
				<xsl:value-of select="concat(substring($dataOd, 5, 4),'-',substring($dataOd, 3, 2),'-',substring($dataOd, 1, 2))"/>
			</wnio:Od>
		</xsl:if>
		<xsl:if test="$sciezka/Do">
			<wnio:Do>
				<xsl:variable name="dataDo" select="$sciezka/Do"/>
				<xsl:value-of select="concat(substring($dataDo, 5, 4),'-',substring($dataDo, 3, 2),'-',substring($dataDo, 1, 2))"/>
			</wnio:Do>
		</xsl:if>
		<xsl:if test="$sciezka/PrzedmiotUmowy">
			<wnio:PrzedmiotUmowy>
				<xsl:value-of select="substring($sciezka/PrzedmiotUmowy, 1, 150)"/>
			</wnio:PrzedmiotUmowy>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name = "rodzaj_wniosku" xmlns:wnio="http://pue.zus.pl/rd/RUD/1/" >
		<xsl:param name = "sciezka" />
		<xsl:if test="$sciezka/Zgloszenie">
			<wnio:Zgloszenie>			
				<xsl:variable name="zgloszenie" select="$sciezka/Zgloszenie"/>
				<xsl:value-of select="true()"/>
			</wnio:Zgloszenie>
		</xsl:if>
		<xsl:if test="$sciezka/KorektaZgloszenia">
			<wnio:KorektaZgloszenia>
				<xsl:variable name="korektaZgloszenia" select="$sciezka/KorektaZgloszenia"/>
				<xsl:value-of select="true()"/>
			</wnio:KorektaZgloszenia>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name = "podmiot" xmlns:meta="http://crd.gov.pl/xml/schematy/meta/2009/11/16/" xmlns:oso="http://crd.gov.pl/xml/schematy/osoba/2009/11/16/"
								   xmlns:inst="http://crd.gov.pl/xml/schematy/instytucja/2009/11/16/">
		<xsl:param name = "sciezka" />
		<meta:Podmiot>
			<xsl:if test="$sciezka/TYP_PODMIOTU">
				<xsl:attribute name="typPodmiotu">
					<xsl:value-of select="$sciezka/TYP_PODMIOTU"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="$sciezka/INSTYTUCJA or $sciezka/OSOBA">
				<xsl:choose>
					<xsl:when test="$sciezka/INSTYTUCJA">
						<inst:Instytucja>
							<xsl:if test="$sciezka/INSTYTUCJA/ID_INSTYTUCJI">
								<inst:IdInstytucji>
									<xsl:if test="$sciezka/INSTYTUCJA/ID_INSTYTUCJI/NIP">
										<inst:NIP>
											<xsl:value-of select="$sciezka/INSTYTUCJA/ID_INSTYTUCJI/NIP"/>
										</inst:NIP>
									</xsl:if>
									<xsl:if test="$sciezka/INSTYTUCJA/ID_INSTYTUCJI/REGON">
										<inst:REGON>
											<xsl:value-of select="$sciezka/INSTYTUCJA/ID_INSTYTUCJI/REGON"/>
										</inst:REGON>
									</xsl:if>
								</inst:IdInstytucji>
							</xsl:if>
							<xsl:if test="$sciezka/INSTYTUCJA/NAZWA_INSTYTUCJI">
								<inst:NazwaInstytucji>
									<xsl:value-of select="$sciezka/INSTYTUCJA/NAZWA_INSTYTUCJI"/>
								</inst:NazwaInstytucji>
							</xsl:if>
							<xsl:if test="$sciezka/INSTYTUCJA/ADRES">
								<xsl:call-template name="adres_zamieszkania">
									<xsl:with-param name="sciezka" select = "$sciezka/INSTYTUCJA/ADRES" />
								</xsl:call-template>
							</xsl:if>
						</inst:Instytucja>
					</xsl:when>
					<xsl:otherwise>
						<oso:Osoba>
							<xsl:if test="$sciezka/OSOBA/ID_OSOBY">
								<oso:IdOsoby>
									<xsl:if test="$sciezka/OSOBA/ID_OSOBY/PESEL">
										<xsl:value-of select="$sciezka/OSOBA/ID_OSOBY/PESEL"/>
									</xsl:if>
								</oso:IdOsoby>
							</xsl:if>
							<oso:Imie>
								<xsl:value-of select="$sciezka/OSOBA/IMIE"/>
							</oso:Imie>
							<xsl:if test="$sciezka/OSOBA/IMIE_DRUGIE">
								<xsl:value-of select="$sciezka/OSOBA/IMIE_DRUGIE"/>
							</xsl:if>
              <xsl:if test="$sciezka/OSOBA/NAZWISKO">
                <oso:Nazwisko>
                  <xsl:value-of select="$sciezka/OSOBA/NAZWISKO"/>
                </oso:Nazwisko>
              </xsl:if>
							<xsl:if test="$sciezka/OSOBA/ADRES">
								<xsl:call-template name="adres_zamieszkania">
									<xsl:with-param name="sciezka" select = "$sciezka/OSOBA/ADRES" />
								</xsl:call-template>
							</xsl:if>
						</oso:Osoba>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:if>
		</meta:Podmiot>
	</xsl:template>
	
	<xsl:template match="/">
		<xsl:for-each select="/document">
			<wnio:Dokument xmlns:wnio="http://pue.zus.pl/rd/RUD/1/" xmlns="http://pue.zus.pl/rd/RUD/1/"
					xmlns:adr="http://crd.gov.pl/xml/schematy/adres/2009/11/09/" xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
					xmlns:inst="http://crd.gov.pl/xml/schematy/instytucja/2009/11/16/" xmlns:meta="http://crd.gov.pl/xml/schematy/meta/2009/11/16/"
					xmlns:oso="http://crd.gov.pl/xml/schematy/osoba/2009/11/16/" xmlns:str="http://crd.gov.pl/xml/schematy/struktura/2009/11/16/"
					xmlns:un.ece.unedocs.cl.iso3166="http://www.unece.org/etrades/unedocs/repository/codelists/xml/CountryCode.xsd"
					xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://pue.zus.pl/rd/RUD/1/ http://pue.zus.pl/rd/RUD/1/schemat.xsd">
				<wnio:OpisDokumentu>
				</wnio:OpisDokumentu>
				<wnio:DaneDokumentu>
					<str:Naglowek>
						<str:NazwaDokumentu/>							
						<meta:Identyfikator typIdentyfikatora="kodTypuDok">
              <meta:Wartosc>RUD</meta:Wartosc>
						</meta:Identyfikator>	
						<meta:Identyfikator typIdentyfikatora="wersjaWzoruDokumentu">
							<meta:Wartosc>1</meta:Wartosc>
						</meta:Identyfikator>	
					</str:Naglowek>
					<xsl:if test="DANE_DOKUMENTU/DATA">
						<meta:Data>
							<xsl:attribute name="typDaty">
								<xsl:value-of select="DANE_DOKUMENTU/DATA/TYP_DATY"/>
							</xsl:attribute>
							<xsl:if test="DANE_DOKUMENTU/DATA/TYP_DATY_UZUPELNIENIE">
								<xsl:attribute name="typDatyUzupelnienie">
									<xsl:value-of select="DANE_DOKUMENTU/DATA/TYP_DATY_UZUPELNIENIE"/>
								</xsl:attribute>
							</xsl:if>
							<xsl:if test="DANE_DOKUMENTU/DATA/CZAS or DANE_DOKUMENTU/DATA/PRZEDZIAL_CZASU">
								<xsl:choose>
									<xsl:when test="DANE_DOKUMENTU/DATA/CZAS">
										<meta:Czas>
											<xsl:value-of select="DANE_DOKUMENTU/DATA/CZAS"/>
										</meta:Czas>
									</xsl:when>
									<xsl:otherwise>
										<meta:PrzedzialCzasu>
											<xsl:if test="DANE_DOKUMENTU/DATA/PRZEDZIAL_CZASU/OD">
												<meta:Od>
													<xsl:value-of select="DANE_DOKUMENTU/DATA/PRZEDZIAL_CZASU/OD"/>
												</meta:Od>
											</xsl:if>
											<xsl:if test="DANE_DOKUMENTU/DATA/PRZEDZIAL_CZASU/DO">
												<meta:Do>
													<xsl:value-of select="DANE_DOKUMENTU/DATA/PRZEDZIAL_CZASU/DO"/>
												</meta:Do>
											</xsl:if>
										</meta:PrzedzialCzasu>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</meta:Data>
					</xsl:if>
					<str:Adresaci>
						<meta:Podmiot>
							<inst:Instytucja>
								<inst:NazwaInstytucji>Zakład Ubezpieczeń Społecznych</inst:NazwaInstytucji>
							</inst:Instytucja>
						</meta:Podmiot>
					</str:Adresaci>		
					<xsl:if test="DANE_DOKUMENTU/TWORCY">
						<meta:Tworcy>
							<xsl:for-each select="DANE_DOKUMENTU/TWORCY/TWORCA">
								<meta:Tworca>
									<meta:Funkcja>
										<xsl:value-of select="FUNKCJA"/>
									</meta:Funkcja>
									<xsl:call-template name="podmiot">
										<xsl:with-param name="sciezka" select = "PODMIOT" />
									</xsl:call-template>
								</meta:Tworca>
							</xsl:for-each>
						</meta:Tworcy>
					</xsl:if>
					<xsl:if test="DANE_DOKUMENTU/NADAWCY">
						<str:Nadawcy>
							<xsl:for-each select="DANE_DOKUMENTU/NADAWCY/PODMIOT">
								<meta:Podmiot>
									<xsl:if test="TYP_PODMIOTU">
										<xsl:attribute name="typPodmiotu">
											<xsl:value-of select="TYP_PODMIOTU"/>
										</xsl:attribute>
									</xsl:if>
									<xsl:if test="INSTYTUCJA or OSOBA">
										<xsl:choose>
											<xsl:when test="INSTYTUCJA">
												<inst:Instytucja>
													<xsl:if test="INSTYTUCJA/ID_INSTYTUCJI">
														<inst:IdInstytucji>
															<xsl:if test="INSTYTUCJA/ID_INSTYTUCJI/NIP">
																<inst:NIP>
																	<xsl:value-of select="INSTYTUCJA/ID_INSTYTUCJI/NIP"/>
																</inst:NIP>
															</xsl:if>
															<xsl:if test="INSTYTUCJA/ID_INSTYTUCJI/REGON">
																<inst:REGON>
																	<xsl:value-of select="INSTYTUCJA/ID_INSTYTUCJI/REGON"/>
																</inst:REGON>
															</xsl:if>
														</inst:IdInstytucji>
													</xsl:if>
													<xsl:if test="INSTYTUCJA/NAZWA_INSTYTUCJI">
														<inst:NazwaInstytucji>
															<xsl:value-of select="INSTYTUCJA/NAZWA_INSTYTUCJI"/>
														</inst:NazwaInstytucji>
													</xsl:if>
													<xsl:if test="INSTYTUCJA/ADRES">
														<xsl:call-template name="adres_zamieszkania">
															<xsl:with-param name="sciezka" select = "INSTYTUCJA/ADRES" />
														</xsl:call-template>
													</xsl:if>
												</inst:Instytucja>
											</xsl:when>
											<xsl:otherwise>
												<oso:Osoba>
													<xsl:if test="OSOBA/ID_OSOBY">
														<oso:IdOsoby>
															<xsl:if test="OSOBA/ID_OSOBY/PESEL">
																<xsl:value-of select="OSOBA/ID_OSOBY/PESEL"/>
															</xsl:if>
														</oso:IdOsoby>
													</xsl:if>
													<oso:Imie>
														<xsl:value-of select="OSOBA/IMIE"/>
													</oso:Imie>
													<xsl:if test="OSOBA/IMIE_DRUGIE">
														<xsl:value-of select="OSOBA/IMIE_DRUGIE"/>
													</xsl:if>
                          <xsl:if test="OSOBA/NAZWISKO">
                            <oso:Nazwisko>
                              <xsl:value-of select="OSOBA/NAZWISKO"/>
                            </oso:Nazwisko>
                          </xsl:if>																									
													<xsl:if test="OSOBA/ADRES">
														<xsl:call-template name="adres_zamieszkania">
															<xsl:with-param name="sciezka" select = "OSOBA/ADRES" />
														</xsl:call-template>
													</xsl:if>
												</oso:Osoba>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:if>
								</meta:Podmiot>
							</xsl:for-each>
						</str:Nadawcy>
					</xsl:if>
				</wnio:DaneDokumentu>
				<wnio:TrescDokumentu format="" kodowanie="XML" rodzaj="wniosek">	
					<xsl:if test="TrescDokumentu/RodzajWniosku">
						<wnio:RodzajWniosku>
						<xsl:call-template name="rodzaj_wniosku">
								<xsl:with-param name="sciezka" select = "TrescDokumentu/RodzajWniosku"/>
						</xsl:call-template>						
						</wnio:RodzajWniosku>
					</xsl:if>
					<xsl:if test="TrescDokumentu/DaneZamawiajacego">
						<wnio:DaneZamawiajacego>
							<xsl:if test="TrescDokumentu/DaneZamawiajacego/NIP">
								<wnio:NIP>
									<xsl:value-of select="TrescDokumentu/DaneZamawiajacego/NIP"/>
								</wnio:NIP>
							</xsl:if>
							<xsl:if test="TrescDokumentu/DaneZamawiajacego/REGON">
								<wnio:REGON>
									<xsl:value-of select="TrescDokumentu/DaneZamawiajacego/REGON"/>
								</wnio:REGON>
							</xsl:if>
							<xsl:if test="TrescDokumentu/DaneZamawiajacego/PESEL">
								<wnio:PESEL>
									<xsl:value-of select="TrescDokumentu/DaneZamawiajacego/PESEL"/>
								</wnio:PESEL>
							</xsl:if>
							<xsl:if test="TrescDokumentu/DaneZamawiajacego/RodzajDokumentu">
								<wnio:RodzajDokumentu>
									<xsl:value-of select="TrescDokumentu/DaneZamawiajacego/RodzajDokumentu"/>
								</wnio:RodzajDokumentu>
							</xsl:if>
							<xsl:if test="TrescDokumentu/DaneZamawiajacego/SeriaINrDowodu">
								<wnio:SeriaINumerDokumentu>
									<xsl:value-of select="TrescDokumentu/DaneZamawiajacego/SeriaINrDowodu"/>
								</wnio:SeriaINumerDokumentu>
							</xsl:if>
							<xsl:if test="TrescDokumentu/DaneZamawiajacego/DataUrodzenia">
								<wnio:DataUrodzenia>
									<xsl:variable name="dataUrodzenia" select="TrescDokumentu/DaneZamawiajacego//DataUrodzenia"/>
									<xsl:value-of select="concat(substring($dataUrodzenia, 5, 4),'-',substring($dataUrodzenia, 3, 2),'-',substring($dataUrodzenia, 1, 2))"/>
								</wnio:DataUrodzenia>
							</xsl:if>
							<xsl:if test="TrescDokumentu/DaneZamawiajacego/Imie">
								<wnio:Imie>
									<xsl:value-of select="TrescDokumentu/DaneZamawiajacego/Imie"/>
								</wnio:Imie>
							</xsl:if>
							<xsl:if test="TrescDokumentu/DaneZamawiajacego/Nazwisko">
								<wnio:Nazwisko>
									<xsl:value-of select="TrescDokumentu/DaneZamawiajacego/Nazwisko"/>
								</wnio:Nazwisko>
							</xsl:if>
							<xsl:if test="TrescDokumentu/DaneZamawiajacego/NazwaSkrocona">
								<wnio:NazwaSkrocona>
									<xsl:value-of select="substring(TrescDokumentu/DaneZamawiajacego/NazwaSkrocona, 1, 62)"/>
								</wnio:NazwaSkrocona>
							</xsl:if>							
						</wnio:DaneZamawiajacego>
					</xsl:if>
					<xsl:if test="TrescDokumentu/AdresZamawiajacego">
						<wnio:AdresZamawiajacego>
							<xsl:call-template name="adres_zamieszkania">
								<xsl:with-param name="sciezka" select = "TrescDokumentu/AdresZamawiajacego" />
							</xsl:call-template>
						</wnio:AdresZamawiajacego>
					</xsl:if>
					<xsl:if test="TrescDokumentu/DaneWykonawcy">
						<wnio:DaneWykonawcy>
							<xsl:if test="TrescDokumentu/DaneWykonawcy/PESEL">
								<wnio:PESEL>
									<xsl:value-of select="TrescDokumentu/DaneWykonawcy/PESEL"/>
								</wnio:PESEL>
							</xsl:if>
							<xsl:if test="TrescDokumentu/DaneWykonawcy/RodzajDokumentu">
								<wnio:RodzajDokumentu>
									<xsl:value-of select="TrescDokumentu/DaneWykonawcy/RodzajDokumentu"/>
								</wnio:RodzajDokumentu>
							</xsl:if>
							<xsl:if test="TrescDokumentu/DaneWykonawcy/SeriaINrDowodu">
								<wnio:SeriaINumerDokumentu>
									<xsl:value-of select="TrescDokumentu/DaneWykonawcy/SeriaINrDowodu"/>
								</wnio:SeriaINumerDokumentu>
							</xsl:if>							
							<xsl:if test="TrescDokumentu/DaneWykonawcy/DataUrodzenia">
								<wnio:DataUrodzenia>
									<xsl:variable name="dataUrodzenia" select="TrescDokumentu/DaneWykonawcy//DataUrodzenia"/>
									<xsl:value-of select="concat(substring($dataUrodzenia, 5, 4),'-',substring($dataUrodzenia, 3, 2),'-',substring($dataUrodzenia, 1, 2))"/>
								</wnio:DataUrodzenia>
							</xsl:if>							
							<xsl:if test="TrescDokumentu/DaneWykonawcy/Imie">
								<wnio:Imie>
									<xsl:value-of select="TrescDokumentu/DaneWykonawcy/Imie"/>
								</wnio:Imie>
							</xsl:if>
							<xsl:if test="TrescDokumentu/DaneWykonawcy/Nazwisko">
								<wnio:Nazwisko>
									<xsl:value-of select="TrescDokumentu/DaneWykonawcy/Nazwisko"/>
								</wnio:Nazwisko>
							</xsl:if>
						</wnio:DaneWykonawcy>
					</xsl:if>
					<xsl:if test="TrescDokumentu/AdresZamieszkania">
						<wnio:AdresZamieszkania>
							<xsl:call-template name="adres_zamieszkania">
								<xsl:with-param name="sciezka" select = "TrescDokumentu/AdresZamieszkania" />
							</xsl:call-template>
						</wnio:AdresZamieszkania>
					</xsl:if>
					<xsl:if test="TrescDokumentu/AdresDoKorespondencji">
						<wnio:AdresDoKorespondencji>
							<xsl:call-template name="adres_zamieszkania">
								<xsl:with-param name="sciezka" select = "TrescDokumentu/AdresDoKorespondencji" />
							</xsl:call-template>
						</wnio:AdresDoKorespondencji>
					</xsl:if>
					
					<xsl:if test="TrescDokumentu/Umowy">
						<wnio:Umowy>
							<xsl:if test="TrescDokumentu/Umowy/UmowaODzielo1">
								<wnio:UmowaODzielo1>
									<xsl:call-template name="umowa_o_dzielo">
										<xsl:with-param name="sciezka" select ="TrescDokumentu/Umowy/UmowaODzielo1"/>
									</xsl:call-template>
								</wnio:UmowaODzielo1>
							</xsl:if>
							<xsl:if test="TrescDokumentu/Umowy/UmowaODzielo2">
								<wnio:UmowaODzielo2>
									<xsl:call-template name="umowa_o_dzielo">
										<xsl:with-param name="sciezka" select="TrescDokumentu/Umowy/UmowaODzielo2"/>
									</xsl:call-template>
								</wnio:UmowaODzielo2>
							</xsl:if>
							<xsl:if test="TrescDokumentu/Umowy/UmowaODzielo3">
								<wnio:UmowaODzielo3>
									<xsl:call-template name="umowa_o_dzielo">
										<xsl:with-param name="sciezka" select="TrescDokumentu/Umowy/UmowaODzielo3"/>
									</xsl:call-template>
								</wnio:UmowaODzielo3>
							</xsl:if>
							<xsl:if test="TrescDokumentu/Umowy/UmowaODzielo4">
								<wnio:UmowaODzielo4>
									<xsl:call-template name="umowa_o_dzielo">
										<xsl:with-param name="sciezka" select="TrescDokumentu/Umowy/UmowaODzielo4"/>
									</xsl:call-template>
								</wnio:UmowaODzielo4>
							</xsl:if>
							<xsl:if test="TrescDokumentu/Umowy/UmowaODzielo5">
								<wnio:UmowaODzielo5>
									<xsl:call-template name="umowa_o_dzielo">
										<xsl:with-param name="sciezka" select="TrescDokumentu/Umowy/UmowaODzielo5"/>
									</xsl:call-template>
								</wnio:UmowaODzielo5>
							</xsl:if>
							<xsl:if test="TrescDokumentu/Umowy/UmowaODzielo6">
								<wnio:UmowaODzielo6>
									<xsl:call-template name="umowa_o_dzielo">
										<xsl:with-param name="sciezka" select="TrescDokumentu/Umowy/UmowaODzielo6"/>
									</xsl:call-template>
								</wnio:UmowaODzielo6>
							</xsl:if>
							<xsl:if test="TrescDokumentu/Umowy/UmowaODzielo7">
								<wnio:UmowaODzielo7>
									<xsl:call-template name="umowa_o_dzielo">
										<xsl:with-param name="sciezka" select="TrescDokumentu/Umowy/UmowaODzielo7"/>
									</xsl:call-template>
								</wnio:UmowaODzielo7>
							</xsl:if>
							<xsl:if test="TrescDokumentu/Umowy/UmowaODzielo8">
								<wnio:UmowaODzielo8>
									<xsl:call-template name="umowa_o_dzielo">
										<xsl:with-param name="sciezka" select="TrescDokumentu/Umowy/UmowaODzielo8"/>
									</xsl:call-template>
								</wnio:UmowaODzielo8>
							</xsl:if>
							<xsl:if test="TrescDokumentu/Umowy/UmowaODzielo9">
								<wnio:UmowaODzielo9>
									<xsl:call-template name="umowa_o_dzielo">
										<xsl:with-param name="sciezka" select="TrescDokumentu/Umowy/UmowaODzielo9"/>
									</xsl:call-template>
								</wnio:UmowaODzielo9>
							</xsl:if>
							<xsl:if test="TrescDokumentu/Umowy/UmowaODzielo10">
								<wnio:UmowaODzielo10>
									<xsl:call-template name="umowa_o_dzielo">
										<xsl:with-param name="sciezka" select="TrescDokumentu/Umowy/UmowaODzielo10"/>
									</xsl:call-template>
								</wnio:UmowaODzielo10>
							</xsl:if>
							<xsl:if test="TrescDokumentu/Umowy/LiczbaUmow">
								<wnio:LiczbaUmow>
									<xsl:value-of select="TrescDokumentu/Umowy/LiczbaUmow"/>
								</wnio:LiczbaUmow>
							</xsl:if>
							<xsl:if test="TrescDokumentu/Umowy/LICZBA_UMOW_ROBOCZA">
								<wnio:LiczbaUmowRobocza>
									<xsl:value-of select="TrescDokumentu/Umowy/LICZBA_UMOW_ROBOCZA"/>
								</wnio:LiczbaUmowRobocza>
							</xsl:if>
						</wnio:Umowy>
					</xsl:if>
					
					<xsl:if test="TrescDokumentu/DATA">
						<wnio:Data>
							<xsl:value-of select="TrescDokumentu/DATA"/>
						</wnio:Data>
					</xsl:if>
					<xsl:if test="TrescDokumentu/ZALACZNIKI">
						<wnio:Zalaczniki>
							<xsl:value-of select="TrescDokumentu/ZALACZNIKI"/>
						</wnio:Zalaczniki>
					</xsl:if>
				</wnio:TrescDokumentu>
			</wnio:Dokument>
		</xsl:for-each>
	</xsl:template>
	
</xsl:stylesheet>
